From 91489ec3137c48e9ada88a4b7a0a51fda8308b11 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 03 2020 19:48:49 +0000
Subject: [PATCH 846/2232] Avoid printing completely empty output


Running `cxxbridge` and having it exit 0 with nothing outputed is
confusing and can look to the caller like a bug.

---

diff --git a/gen/src/out.rs b/gen/src/out.rs
index dbb1d73..d42ea74 100644
--- a/gen/src/out.rs
+++ b/gen/src/out.rs
@@ -57,13 +57,16 @@ impl OutFile {
     pub fn content(&self) -> Vec<u8> {
         let front = &self.front.bytes;
         let content = &self.content.borrow().bytes;
-        let len = front.len() + !front.is_empty() as usize + content.len();
+        let len = front.len() + content.len() + 1;
         let mut out = String::with_capacity(len);
         out.push_str(front);
-        if !front.is_empty() {
+        if !front.is_empty() && !content.is_empty() {
             out.push('\n');
         }
         out.push_str(content);
+        if out.is_empty() {
+            out.push_str("// empty\n");
+        }
         out.into_bytes()
     }
 }

